Last modified: 2013-07-12 01:17:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 31270 - Proper AJAX rollback functionality in core
Proper AJAX rollback functionality in core
Status: NEW
Product: MediaWiki
Classification: Unclassified
Recent changes (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
: 39468 (view as bug list)
Depends on: 43164
Blocks: ajax
  Show dependency treegraph
 
Reported: 2011-09-30 11:51 UTC by Helder
Modified: 2013-07-12 01:17 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
AJAX rollback links (903 bytes, application/javascript)
2011-09-30 13:01 UTC, Helder
Details

Description Helder 2011-09-30 11:51:53 UTC
The [rollback] links should not open a new page when they are clicked by the editors. The action should be processed using AJAX, as is also requested for [patrol] links on bug 7851.
Comment 1 Jack Phoenix 2011-09-30 11:55:28 UTC
IIRC wikiHow has done this already, at least for [rollback] links. Maybe we could take a look at their implementation (wikiHow's source code dumps are available at http://src.wikihow.com/), clean it up and implement it?
Comment 2 Helder 2011-09-30 12:03:34 UTC
There is also an implementation on [[b:User:Pathoschild/Scripts/Ajax_sysop.js]],
but I don't know if it is still working after this comment:
[[m:User_talk:Pathoschild#Ajax_sysop.js:_Patrolling_links_no_longer_inserted_into_RC.2Fwatchlist]]
Comment 3 Helder 2011-09-30 12:04:57 UTC
(In reply to comment #2)
> There is also an implementation on
> [[b:User:Pathoschild/Scripts/Ajax_sysop.js]]
[[m:User:Pathoschild/Scripts/Ajax_sysop.js]], I mean
Comment 4 Helder 2011-09-30 13:01:32 UTC
Created attachment 9129 [details]
AJAX rollback links

(In reply to comment #2)
> There is also an implementation on
> [[m:User:Pathoschild/Scripts/Ajax_sysop.js]],
> but I don't know if it is still working after this comment:
> [[m:User_talk:Pathoschild#Ajax_sysop.js:_Patrolling_links_no_longer_inserted_into_RC.2Fwatchlist]]

No, it isn't... =(
I get
----
Uncaught TypeError: Object [object Object] has no method 'getElements'
----
if I install the script and go to recent changes using Google Chrome.

I've attached an adaptation of [[m:User:Krinkle/Scripts/AjaxPatrolLinks.js]] which creates AJAX rollback links. It still needs to be fixed to use Mediawiki's API.
Comment 5 Andre Klapper 2012-10-31 14:01:27 UTC
*** Bug 39468 has been marked as a duplicate of this bug. ***
Comment 6 Nemo 2012-11-08 22:31:38 UTC
This is very needed! To be resolved right after bug 7851. ;-)
See also the bug for the user script https://github.com/Pathoschild/Wikimedia-contrib/issues/8 which links some half-done work to fix it, might be useful to build on.
Comment 7 Marius Hoch 2012-11-08 22:47:23 UTC
I got an own idea for this already, which I hope to implement before next year.

The idea basically implements the following flow:
A click on a rollback link will show spinner in it, send an API request and show the user a success message (or an error one) including diff links etc. (a bit like the current AJAX patrol draft).
On mouseover of a rollback link you see the default rollback message so that you're able to change it (or just use it as is, of course).

I would like to implement one or even two new user preferences for this (I know we want to cut these down, but I don't see any better way for doing this):

1. One which allows users to disable this feature completely (there for sure will be several who rather use the old fashioned links as they directly show the diff)
2. And one which prompts the user for confirmation/ changing the edit summary instead of directly reverting on click of a rollback link (this is request very, very often)
Comment 8 Helder 2013-07-12 01:17:38 UTC
Any news on this?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links